> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# List all providers supported by RAD



## OpenAPI

````yaml /api-reference/openapi.yaml get /tenants/{tenant_id}/integrations/providers
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /tenants/{tenant_id}/integrations/providers:
    get:
      tags:
        - integrations
      summary: List all providers supported by RAD
      operationId: ListProviders
      parameters:
        - $ref: '#/components/parameters/tenantIDParam'
      responses:
        '200':
          description: List of supported providers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderCollection'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  parameters:
    tenantIDParam:
      name: tenant_id
      in: path
      description: RAD tenant ID
      required: true
      schema:
        type: string
  schemas:
    ProviderCollection:
      description: A collection of the supported providers
      allOf:
        - $ref: '#/components/schemas/PaginatedResponse'
        - type: object
          required:
            - entries
          properties:
            entries:
              type: array
              items:
                $ref: '#/components/schemas/Provider'
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    PaginatedResponse:
      type: object
      required:
        - current_offset
        - has_more
        - total_count
      properties:
        current_offset:
          type: integer
          description: The offset of the currently requested record set
        has_more:
          type: boolean
          description: If there are more records available
        total_count:
          type: integer
          description: The total number of records that match the criteria
    Provider:
      description: >-
        A description of an external integration provider that is supported in
        RAD, with the config values
      type: object
      required:
        - id
        - name
        - type
        - categories
        - config
        - configured
        - auth_method
      properties:
        name:
          description: Name of the integration provider
          type: string
        type:
          $ref: '#/components/schemas/IntegrationType'
          description: The type of the provider
        auth_method:
          $ref: '#/components/schemas/AuthMethod'
          description: The authentication method required for this integration
        categories:
          description: >-
            A general list of categories to which the provider belongs. This is
            an information field only, and the provider type should be used to
            determine exact functionality.
          type: array
          items:
            type: string
        configured:
          description: Integrations currently configured for this provider
          type: array
          items:
            $ref: '#/components/schemas/Integration'
        config:
          description: Integration specific extra configuration, e.g. webhook URLs
          type: array
          items:
            $ref: '#/components/schemas/ConfigField'
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message
    IntegrationType:
      description: The type of external integrations
      type: string
      enum:
        - jira-cloud
        - splunk
        - qualys
        - microsoft-defender
        - crowdstrike-falcon-insight
        - crowdstrike-falcon-spotlight
        - sentinelone-singularity
        - sophos-endpoint
        - tanium-edr
        - malwarebytes-threatdown
        - crowdstrike-falcon-nextgen-siem
        - rapid7-insightvm
        - rapid7-insightidr
        - tenable-vm
        - okta-identity
        - microsoft-entra-id
        - google-workspace
        - notion-internal-app
        - slack-oauth
        - mock-crowdstrike-falcon-insight
        - mock-crowdstrike-falcon-spotlight
        - mock-siem
    AuthMethod:
      description: The authentication method required for an integration
      type: string
      enum:
        - credentials
        - oauth
    Integration:
      description: The common parameters for an external integration
      type: object
      required:
        - id
        - name
        - type
        - config
      properties:
        id:
          description: The unique ID of the integration
          type: string
        name:
          description: Name of the integration for disambiguation
          type: string
        type:
          $ref: '#/components/schemas/IntegrationType'
          description: The type of the integration
        config:
          description: Integration specific extra configuration, e.g. webhook URLs
          type: object
    ConfigField:
      type: object
      required:
        - title
        - key
        - type
        - enum_values
        - description
        - required
      properties:
        title:
          description: The title of the field
          type: string
        key:
          description: The key of the field to use when creating an integration
          type: string
        type:
          description: >-
            The type of the field. The "secret" type is string type, but
            highlighted as a sensitive field that should be masked and not
            stored.
          type: string
          enum:
            - string
            - secret
            - boolean
            - enum
            - map
            - custom_field_mappings
        enum_values:
          description: >-
            Valid values for enum-type fields. This will be empty for non-enum
            fields
          type: array
          items:
            type: string
        description:
          description: A description of the field
          type: string
        required:
          description: Is this a required field
          type: boolean

````